package com.bytesw.bytebot.dto;

import com.bytesw.bytebot.model.Leg;
import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Getter
@Setter
@ToString
public class FlightDto implements Serializable {
    @Expose
    private Long id;
    @Expose
    private String airlineCode;
    @Expose
    private String codeTypeAircraft;
    @Expose
    private Date departureDate;
    @Expose
    private Date arrivalDate;
    @Expose
    private Long codeAirportOrigin;
    @Expose
    private Long codeAirportDestination;
    @Expose
    private List<Leg> legs;
    @Expose
    private double flightCost;
    @Expose
    private String airportOrigin;
    @Expose
    private String airportDestination;
}
